#include <iostream>
#include <fstream>
using namespace std;
 ifstream f1("TSNT.INP");
   ofstream f2("TSNT.OUT");
  void tsnt(int n)
    {long int i=2,tong=0;
    while (n>0&&n!=1)
        {if (n%i==0)
        {f2<<i;
        tong=tong+i;
        n=n/i;
		if (n>1) {f2<<"*";}}
        else if (i*i<=n)
            i++;
        else { f2<<n;
        tong=tong+n;
        break;}}
        f2<<endl;
        f2<<tong;

 }
int main()
{
   
   long int n;
   f1>>n;
   f2<<n<<"=";
   tsnt(n);
  return 0;
}
